%define rel 4
%define upstream_name phonon-backend-vlc

Name:           phonon-vlc
Version:        0.9.1
Release:        %mkrel %{rel}
Summary:        VLC backend for Phonon
License:        LGPLv2
Group:          Video/Utilities
URL:            https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Source0:        http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/src/%{upstream_name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libvlc) >= 2.0.1
BuildRequires:  pkgconfig(phonon) >= 4.7.0
BuildRequires:  kde4-macros
BuildRequires:  automoc4

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(phonon4qt5) >= 4.7.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

Provides:       phonon-backend
Provides:       %{upstream_name}

Requires:       phonon
Requires:       vlc-plugin-common
Recommends:     vlc-plugin-pulse

Obsoletes:      phonon-gstreamer < 5:4.7.2-5
Obsoletes:      phonon-xine < 5:4.4.4-6

%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

%files
%doc COPYING.LIB AUTHORS
%_kde_libdir/kde4/plugins/phonon_backend/phonon_vlc.so
%_kde_services/phononbackends/vlc.desktop

#--------------------------------------------------------------------

%package -n phonon4qt5-vlc
Summary:        VLC backend for Phonon Qt5
Group:          Video/Utilities

Provides:       phonon4qt5-backend
Provides:       phonon4qt5-backend-vlc

Requires:       vlc-plugin-common
Recommends:     vlc-plugin-pulse

%description -n phonon4qt5-vlc
This package allows Phonon Qt5 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt5-vlc
%doc COPYING.LIB AUTHORS
%_qt5_plugindir/phonon4qt5_backend/phonon_vlc.so

#--------------------------------------------------------------------

%prep
%setup -qn phonon-backend-vlc-%{version}
%autopatch -p1

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 ../..
    %make_build
popd

mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -DPHONON_BUILD_PHONON4QT5:BOOL=ON ../..
    %make_build
popd

%install
%make_install -C Qt4/build
%make_install -C Qt5/build


%changelog
* Sun Feb 26 2017 neoclust <neoclust> 0.9.1-4.mga6
+ Revision: 1087916
- New version 0.9.1 ( add support for newer vlc )

* Sat Feb 11 2017 daviddavid <daviddavid> 0.9.0-4.mga6
+ Revision: 1085696
- backport upstream fixes to make it build with libvlc >= 3.0.0

* Wed May 11 2016 neoclust <neoclust> 0.9.0-3.mga6
+ Revision: 1013652
- New version 0.9.0

* Tue Feb 09 2016 umeabot <umeabot> 0.8.2-3.mga6
+ Revision: 952364
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.8.2-2.mga5
+ Revision: 815703
- add upstream patches for better compatibility with vlc 2.2
- rebuild for VLC 2.2.0 and libvlccore8

* Sat Feb 07 2015 luigiwalser <luigiwalser> 0.8.2-1.mga5
+ Revision: 813991
- 0.8.2

* Wed Dec 03 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 800528
- Update to 0.8.1
- obsoletes phonon-xine
- update default backend
  phonon-gstreamer -> phonon-vlc

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 742190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-2.mga5
+ Revision: 687084
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Sep 07 2014 lmenut <lmenut> 0.8.0-1.mga5
+ Revision: 673236
- update to 0.8.0
- build phonon4qt5 backend

* Sat Jul 12 2014 lmenut <lmenut> 0.7.2-1.mga5
+ Revision: 651541
- update to 0.7.2

* Tue Feb 18 2014 neoclust <neoclust> 0.7.1-1.mga5
+ Revision: 594170
- New version

* Mon Oct 21 2013 umeabot <umeabot> 0.6.2-2.mga4
+ Revision: 537291
- Mageia 4 Mass Rebuild

* Wed Feb 13 2013 neoclust <neoclust> 0.6.2-1.mga4
+ Revision: 398285
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 375652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 mikala <mikala> 0.6.1-1.mga3
+ Revision: 319004
- Use Video/Utilities for Group
- Update tarball to 0.6.1

* Fri Sep 07 2012 fwang <fwang> 0.6.0-1.mga3
+ Revision: 289139
- new version 0.6.0

* Tue Feb 28 2012 colin <colin> 0.5.0-1.mga2
+ Revision: 215888
- New version: 0.5.0
- Backport patches from git master to compile against new phonon

  + mikala <mikala>
    - Switch to pkgconfig() buildrequires
    - remove %%defattr
    - use kde layout and macro
    - fix license
    - update url
    - Update tarball to 0.4.1

* Tue Apr 26 2011 mikala <mikala> 0.4.0-1.mga1
+ Revision: 91857
- Update to 0.4.0

* Tue Mar 08 2011 mikala <mikala> 0.3.2-4.mga1
+ Revision: 66598
- Add vlc-plugin-vlc as a suggest

* Fri Feb 18 2011 mikala <mikala> 0.3.2-3.mga1
+ Revision: 53837
- Add vlc-plugin-common as Require
- Drop BuildRoot

* Wed Jan 26 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 41207
- use current phonon Epoch in the phonon-devel BR
- imported package phonon-vlc


* Sat Jan 22 2011 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 632261
- New version 0.3.2

* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 608593
- new version 0.3.1

* Sun Jul 25 2010 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 559112
- New version: 0.2.0
- Update to latest git master

* Sun Apr 04 2010 Colin Guthrie <cguthrie@mandriva.org> 0.0.0-0.20100404.1mdv2010.1
+ Revision: 531409
- New snapshot

* Thu Feb 11 2010 Colin Guthrie <cguthrie@mandriva.org> 0.0.0-0.20100211.1mdv2010.1
+ Revision: 504368
- import phonon-vlc


